Python缺失module(ImportError: No module named Crypto.Util.py3compat)

我之前装过3.6和2.7,用3.6能检测到这个模块,但是用2.7不能。于是我卸载了3.6,还是无法解决。

图片说明

图片说明

2个回答

用虚拟环境,看一下 pipenv 直接就能解决你现在的问题,尽量不要多个版本 python 同时安装,有版本控制需求的统统使用虚拟环境

有可能是因为你包里有一个crypto,注意,是小写的c的那个包,你调用了这个。

而实际要用的是Crypto.hash,这个Crypto是要安装的pycrypto,

解决方法先pip uninstall crypto
再 pip install pycrypto

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
ImportError: No module named nose_parameterized
在学习Theano的过程中,为什么仅仅是from theano import sparse就出现这个错误
ImportError: No module named 'sklearn.model_selection'
环境:win10 anaconda3 ,python 3.5 rn问题:在jupyter notebook 中使用sklearn库时,报错:[color=#FF0000][b]ImportError: No module named 'sklearn.model_selection'[/b][/color]rn详细信息如图1所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261489_576021.png][/img][/align]rn[align=center]图1[/align]rn按照wisdom_bo博客所说在Anaconda prompty 输入:conda update scikit-learn来更新sklearn库。但是在unlinking packages的时候一直没有进度,电脑有网。如图2所示:rn[align=center][img=https://img-bbs.csdn.net/upload/201707/05/1499261686_557725.png][/img][/align]rn[align=center]图2[/align]rn请问大神这是怎么回事啊,我等了好久,大概一个小时也没有反应,即使包再大等一个小时总有进度吧,请求支援!!谢谢谢谢能有人解答!
ImportError: No module named '_pywrap_tensorflow_internal'
tensorflow==1.5.0 安装成功;继续安装gpu版本,按系统提示再安装 CUDA-9.0, cuDNN-7.0: cuda_9.0.176_win10_network以及patch1-4 / cudnn-9.0-windows10-x64-v7.3.1.20. 运行‘import tensorflow as tf’后报错: ImportError: No module named '_pywrap_tensorflow_internal'rnrn谢谢帮助rnrn ---------------------------------------------------------------------------rnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 17 try:rn---> 18 return importlib.import_module(mname)rn 19 except ImportError:rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _gcd_import(name, package, level)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _load_unlocked(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in module_from_spec(spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap_external.py in create_module(self, spec)rnrnC:\Program Files\Anaconda3\lib\importlib\_bootstrap.py in _call_with_frames_removed(f, *args, **kwds)rnrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 57 rn---> 58 from tensorflow.python.pywrap_tensorflow_internal import *rn 59 from tensorflow.python.pywrap_tensorflow_internal import __version__rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in ()rn 20 return importlib.import_module('_pywrap_tensorflow_internal')rn---> 21 _pywrap_tensorflow_internal = swig_import_helper()rn 22 del swig_import_helperrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py in swig_import_helper()rn 19 except ImportError:rn---> 20 return importlib.import_module('_pywrap_tensorflow_internal')rn 21 _pywrap_tensorflow_internal = swig_import_helper()rnrnC:\Program Files\Anaconda3\lib\importlib\__init__.py in import_module(name, package)rn 125 level += 1rn--> 126 return _bootstrap._gcd_import(name[level:], package, level)rn 127 rnrnImportError: No module named '_pywrap_tensorflow_internal'rnrnDuring handling of the above exception, another exception occurred:rnrnImportError Traceback (most recent call last)rn in ()rn----> 1 import tensorflow as tfrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\__init__.py in ()rn 22 rn 23 # pylint: disable=wildcard-importrn---> 24 from tensorflow.python import *rn 25 # pylint: enable=wildcard-importrn 26 rnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\__init__.py in ()rn 47 import numpy as nprn 48 rn---> 49 from tensorflow.python import pywrap_tensorflowrn 50 rn 51 # Protocol buffersrnrnC:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py in ()rn 72 for some common reasons and solutions. Include the entire stack tracern 73 above this error message when asking for help.""" % traceback.format_exc()rn---> 74 raise ImportError(msg)rn 75 rn 76 # pylint: enable=wildcard-import,g-import-not-at-top,unused-import,line-too-longrnrnImportError: Traceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helperrn return importlib.import_module(mname)rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rn File "", line 986, in _gcd_importrn File "", line 969, in _find_and_loadrn File "", line 958, in _find_and_load_unlockedrn File "", line 666, in _load_unlockedrn File "", line 577, in module_from_specrn File "", line 906, in create_modulern File "", line 222, in _call_with_frames_removedrnImportError: DLL load failed: 找不到指定的程序。rnrnDuring handling of the above exception, another exception occurred:rnrnTraceback (most recent call last):rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in rn from tensorflow.python.pywrap_tensorflow_internal import *rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in rn _pywrap_tensorflow_internal = swig_import_helper()rn File "C:\Program Files\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helperrn return importlib.import_module('_pywrap_tensorflow_internal')rn File "C:\Program Files\Anaconda3\lib\importlib\__init__.py", line 126, in import_modulern return _bootstrap._gcd_import(name[level:], package, level)rnImportError: No module named '_pywrap_tensorflow_internal'rnrnrnFailed to load the native TensorFlow runtime.rnrnSee https://www.tensorflow.org/install/install_sources#common_installation_problemsrnrnfor some common reasons and solutions. Include the entire stack tracernabove this error message when asking for help.
ImportError: No module named django.db
#-*- coding:utf-8 -*-rnrnfrom django.db import modelsrnrnclass Topics(models.Model):rn """用户学习的主题"""rn text = models.CharField(max_length=200)rn date_added = models.DateTimeField(auto_now_add=ture)rnrn def __str__(self):rn """返回模型的字符串表示"""rn return self.text
ImportError: No module named sets
谁值得这个是什么错误啊rnlinux下rnTraceback (most recent call last):rn File "/usr/local/mpich2/bin/mpd", line 87, in ?rn from sets import Set as setrnImportError: No module named setsrn帮忙指点一下
ImportError: No module named os
我在配置Apache+mod_wsgi+Django的过程中,出现错误rn[Tue Sep 28 23:03:56 2010] [error] Traceback (most recent call last):rn[Tue Sep 28 23:03:56 2010] [error] File "E:/devspace/djtest/djtest/django.wsgi", line 1, in rn[Tue Sep 28 23:03:56 2010] [error] import sys, osrn[Tue Sep 28 23:03:56 2010] [error] ImportError: No module named osrnrn同样的工程,我在公司跑没问题,在家就出现这问题。rn有了解的告诉下,谢谢!
ImportError: No module named httplib
使用python编写脚本,提示ImportError: No module named httplib,在网上搜了下说是需要导入Django。我就在python官网上下了Django-1.6.1.tar.gz安装后,还是提示没有httplib,现在真不知道该怎么办了,请高手帮忙解决下
ImportError: No module named 请教
目录结构rnSrcrn |_MyApprn |_ MyApp.pyrn |_ MyFrame.pyrn |_ __init__.pyrnrn#MyApp.pyrnimport wxrnfrom MyApp.MyFrame import MyFrame rn#from MyFrame import MyFramernclass MyApp(wx.App):rn def __init__(self):rn wx.App.__init__(self)rn def OnInit(self):rn self.frame = MyFrame(None)rn self.frame.Show(True)rn self.SetTopWindow(self.frame) rn return Truernrnif __name__=="__main__":rn app = MyApp() rn app.MainLoop() rnrn运行时提示 ImportError: No module named iCMSApp.MainFramern请教下大家
ImportError: No module named fcntl
ImportError: No module named fcntl #fcntl.py #ImportError
ImportError: No module named 'matplotlib.externals'
如题,帮忙解决一下这个问题,谢谢!rnTraceback (most recent call last):rn File "E:\python34\test.py", line 1, in rn import matplotlib.pyplot as pltrn File "E:\python34\lib\site-packages\matplotlib\pyplot.py", line 21, in rn from matplotlib.externals import sixrnImportError: No module named 'matplotlib.externals'
ImportError: No module named java.lang.System
[root@localhost autodomain]# python createDomain.pyrnTraceback (most recent call last):rn File "createDomain.py", line 12, in rn import java.lang.SystemrnImportError: No module named java.lang.Systemrnrnrn我运行个小脚本,报错 怎么解决哇。。rnrn12行是import java.lang.System
ImportError: No module named naoqi
Traceback (most recent call last):rn File "", line 1, in rn import naoqirnImportError: No module named naoqirn有正在使用nao的朋友吗?
ImportError: No module named 'matplotlib'
![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139637_755846.png)n![图片说明](https://img-ask.csdn.net/upload/201703/22/1490139654_86486.png)n怎么弄啊 我应该是安装matplotlid了的n怎么还说我没有
importError No module named multiarry
在terminal输入python后,执行命令报错:rn [code=python]rn import numpyrn import picklern import numpy.core.multiarrayrn data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','rb'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python]data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27','r'))[/code]rn报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrn rn [code=python] data = pickle.load(open('Workspace/Ch5_Py_Mrjob_PegasosSVM/svmDat27'))[/code]rn继续报错:rnTraceback (most recent call last):rn File "", line 1, in rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1384, in loadrn return Unpickler(file).load()rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 864, in loadrn dispatch[key](self)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1096, in load_globalrn klass = self.find_class(module, name)rn File "/home/hduser/anaconda2/lib/python2.7/pickle.py", line 1130, in find_classrn __import__(module)rnImportError: No module named multiarrayrnrnrn在终端输入,感觉不存在编码问题;换了个机子用本机自带的python27运行报同样的错误!rnrn[color=#0000FF][b][size=16px]有没有哪位大神趟过相同的坑,恳请指教!至今没有解决问题~~~[/size][/b][/color]rnrn
ImportError: No module named pidlockfile
开启python的pyscada-daemon后,出现错误.错误详情:rn[img=https://img-bbs.csdn.net/upload/201603/21/1458541984_517128.png][/img]rnrn注:其中pyscada-daemon就是daemon,只是个别名
ImportError: No module named _md5
[color=#FF0000]安装python时,出现告警:[/color]rn*** WARNING: renaming "_hashlib" since importing it failed: build/lib.linux-i686-2.5/_hashlib.so: undefined symbol: EVP_MD_sizernrunning build_scriptsrnrn[color=#FF0000]尽管可正常安装,但是后续在安装setuptools-0.6c8时,会提示:[/color]baidu:/home/tt/software_zip # python ./ez_setup.py rnTraceback (most recent call last):rn File "./ez_setup.py", line 67, in rn except ImportError: from md5 import md5rn File "/usr/local/python2.5.4//lib/python2.5/md5.py", line 6, in rn from hashlib import md5rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 133, in rn md5 = __get_builtin_constructor('md5')rn File "/usr/local/python2.5.4//lib/python2.5/hashlib.py", line 60, in __get_builtin_constructorrn import _md5rnImportError: No module named _md5rnrnopenssl已经试过了1.0版本,0.9.8版本;rnpython 已经试过了2.5.4/2.7.3/2.7.5/3.2 等版本,都有这个问题。rn求各位大神帮忙解答。rnlinux为SUSE
[D]ImportError:No module named _elemenpath
我在一个程序中使用了[color=#FF0000]lxml[/color],使用cx_Freeze打包程序(python setup.py build),运行程序时总是报[color=#FF0000]ImportError:No module named _elemenpath[/color]的错。rn请高手帮忙解决。rnrn---------------------------rnDouble行动:rn原帖分数:40rn帖子加分:40
【初学者】ImportError: No module named 'Tkinter'
如题,我在windows.vista上安装了python3.3,一路顺利安装下来了。上面也能运行了hello world。rn但是当我运行如下代码的时候,提示找不到模块Tkinterrnrnfrom Tkinter import *rnroot = Tk()rnw = Label(root, text="Hello, world!")rnw.pack()rnroot.mainloop()rnrn----------F5执行后,错误信息如下-------------------------rn>>> rnTraceback (most recent call last):rn File "C:/Python33/temp/my_try.py", line 1, in rn from Tkinter import *rnImportError: No module named 'Tkinter'rn>>>
python 引入的错误 ImportError: No module named misc.ExtendAction
执行下边的脚本文件 出现的问题rnrnrnD:\qooxdoo-1.6-sdk\framework>generate.py -buildrnrn[color=#000080]Traceback (most recent call last):rn File "D:\qooxdoo-1.6-sdk\tool\bin\generator.py", line 25, in rn from misc.ExtendAction import ExtendActionrnImportError: No module named misc.ExtendAction[/color]rnrnrn大概意思是找不到misc.ExtendAction 这个东西rnrn但实际上 ExtendAction.py 这个文件是存在的..只是在运行的时候没有找到rnrn这个问题怎么解决rnrn各位达人,本人没学过python..只是遇到了这个问题..勿喷...
python提示ImportError: No module named Image
我ubuntu安装了PIL,在python环境下输入:import Image时没有提示错误,可以运行.n但是我电脑同时安装了virtualenv,当在venv环境下输入import Image时会提示ImportError: No module named Image.n我想可能是虚拟环境下没有PIL 的问题,于是我又在venv环境下安装Python Imaging Library 1.7,然后又输入了一遍sudo apt-get install python-imaging.n没想到在venv环境下进行来上述两步后,再输入import Image时仍然提示同样的错误.n都装过了为什么还是提示没有Image呢?哪位老师指点一下,谢谢.
python:no module named MySQLdb
想用django开发网站。使用的是python2.7,操作系统win10.已经安装好了Anaconda和mysql。现在想进行连接数据库,已经在网站下载并安装了多个版本的python-mysql驱动(1.2.3版本等),然后再import MySQLdb,还是提示no module named MySQLdbrnrnrn在C:\Anaconda2\Lib\site-packages也已经有了C:\Anaconda2\Lib\site-packages\MySQL_python-1.2.3-py2.7.egg-info和C:\Anaconda2\Lib\site-packages\MySQLdb。rnrn为什么就是不能成功呢?rnrndjango在启动服务的时候,错误为:rnC:\Anaconda2\Django-1.9.4\django\bin\hello>python manage.py runsever 0.0.0.0:8080rnTraceback (most recent call last):rn File "manage.py", line 10, in rn execute_from_command_line(sys.argv)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\core\management\__init__.py", line 353, in execute_from_command_linern utility.execute()rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\core\management\__init__.py", line 327, in executern django.setup()rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\__init__.py", line 18, in setuprn apps.populate(settings.INSTALLED_APPS)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\apps\registry.py", line 108, in populatern app_config.import_models(all_models)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\apps\config.py", line 202, in import_modelsrn self.models_module = import_module(models_module_name)rn File "F:\Anaconda\lib\importlib\__init__.py", line 37, in import_modulern __import__(name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\contrib\auth\models.py", line 4, in rn from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManagerrn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\contrib\auth\base_user.py", line 49, in rn class AbstractBaseUser(models.Model):rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\base.py", line 108, in __new__rn new_class.add_to_class('_meta', Options(meta, app_label))rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\base.py", line 299, in add_to_classrn value.contribute_to_class(cls, name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\models\options.py", line 263, in contribute_to_classrn self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\__init__.py", line 36, in __getattr__rn return getattr(connections[DEFAULT_DB_ALIAS], item)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\utils.py", line 212, in __getitem__rn backend = load_backend(db['ENGINE'])rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\utils.py", line 116, in load_backendrn return import_module('%s.base' % backend_name)rn File "F:\Anaconda\lib\importlib\__init__.py", line 37, in import_modulern __import__(name)rn File "F:\Anaconda\lib\site-packages\django-1.9.4-py2.7.egg\django\db\backends\mysql\base.py", line 28, in rn raise ImproperlyConfigured("Error loading MySQLdb module: %s" % e)rndjango.core.exceptions.ImproperlyConfigured: Error loading MySQLdb module: No module named MySQLdb
python的" no module named "core""
在调用不同文件夹下的python文件时出现如题的报错,python文件使用的时pycharm3.8,并且已将路径添加到搜索但依然报错。无解,望各位大佬帮我看一眼。![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150047_861410.png)![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150058_725628.png)![图片说明](https://img-ask.csdn.net/upload/201812/07/1544150070_142469.png)
tensorflow报错:ImportError:No module named 'tensorflow.python.platform'?
今天要打开tensorboard的时候出现报错:rn![图片说明](https://img-ask.csdn.net/upload/201906/02/1559476838_499887.png)rnrn然后试着用pythonrnimport tensorflow as tfrn检查了一下,还是同样的报错。rn所有用到import TensorFlow的程序都无法运行了。rnrn用网上的方法,添加PATH或者给tensorflow升级、重新安装后都是这样,不知道是为啥。
关于ImportError: No module named 'pyodbc'的问题
在doc命令下 pip install pyodbc已经安装成功,但在pycharm下import pyodbc后,一直报错ImportError: No module named 'pyodbc',需要链接的是sql2008,同理安装了pymssql也一样,是否是安装的不够完整?一直报找不到该模块,版本是3.5rn[img=https://img-bbs.csdn.net/upload/201807/06/1530845483_82253.png][/img]
解决这个错误问题:importerror no module named fcntl
解决这个错误问题:importerror no module named fcntl。 解压后,将fcntl.py文件放到PYTHONPATH路径即可,我是放到了Python27\Lib目录下。
Ceph启动失败: ImportError: No module named rados
三台机器,每台兼任mds和osd,其中一台兼任mon,初始化成功(倒腾了一整天。。。)rnrn然后启动的时候失败,信息如下。。。rnrn# /etc/init.d/ceph -a startrn=== mon.00 === rnStarting Ceph mon.00 on ceph00...already runningrn=== mds.00 === rnStarting Ceph mds.00 on ceph00...already runningrn=== mds.01 === rnStarting Ceph mds.01 on ceph01...already runningrn=== mds.02 === rnStarting Ceph mds.02 on ceph02...already runningrn=== osd.00 === rnMounting Btrfs on ceph00:/data/osd.00rnScanning for Btrfs filesystemsrnTraceback (most recent call last):rn File "/usr/local/ceph/bin/ceph", line 56, in rn import radosrnImportError: No module named radosrnfailed: 'timeout 10 /usr/local/ceph/bin/ceph --name=osd.00 --keyring=/data/osd.00/keyring osd crush create-or-move -- 00 0.02 root=default host=ceph00 'rnroot@ceph00:~/.ssh# /etc/init.d/ceph -a startrn=== mon.00 === rnStarting Ceph mon.00 on ceph00...already runningrn=== mds.00 === rnStarting Ceph mds.00 on ceph00...already runningrn=== mds.01 === rnStarting Ceph mds.01 on ceph01...already runningrn=== mds.02 === rnStarting Ceph mds.02 on ceph02...already runningrn=== osd.00 === rnMounting Btrfs on ceph00:/data/osd.00rnScanning for Btrfs filesystemsrnTraceback (most recent call last):rn File "/usr/local/ceph/bin/ceph", line 56, in rn import radosrnImportError: No module named radosrnfailed: 'timeout 10 /usr/local/ceph/bin/ceph --name=osd.00 --keyring=/data/osd.00/keyring osd crush create-or-move -- 00 0.02 root=default host=ceph00 'rnrn我是用ceph源码编译安装的,我用lsmod命令查看也确实没有rados模块,但是又查不到怎么安装rados模块。。rnrn求助。。。
django创建model出错: ImportError: No module named
环境:Django-1.9.1-py2.7 + centos 3.10.0 + mysql5.0rn教程:http://www.runoob.com/django/django-model.htmlrnrn我按着教程走,创建了HelloWorld的proj,之后创建TestModel的app,这时候我的目录是这样的:rn[root@VM_9_170_centos HelloWorld]# treern.rn|-- HelloWorldrn| |-- __init__.pyrn| |-- __init__.pycrn| |-- db.sqlite3rn| |-- settings.pyrn| |-- settings.pycrn| |-- templatesrn| | |-- base.htmlrn| | `-- hello.htmlrn| |-- urls.pyrn| |-- urls.pycrn| |-- view.pyrn| |-- view.pycrn| |-- wsgi.pyrn| `-- wsgi.pycrn|-- TestModelrn| |-- __init__.pyrn| |-- __init__.pycrn| |-- admin.pyrn| |-- admin.pycrn| |-- apps.pyrn| |-- migrationsrn| | `-- __init__.pyrn| |-- models.pyrn| |-- models.pycrn| |-- tests.pyrn| `-- views.pyrn|-- db.sqlite3rn`-- manage.pyrnrnHelloWorld/settings.py:rnINSTALLED_APPS = [rn 'django.contrib.admin',rn 'django.contrib.auth',rn 'django.contrib.contenttypes',rn 'django.contrib.sessions',rn 'django.contrib.messages',rn 'django.contrib.staticfiles',rn 'TestModel',rn]rnrnTestModel/models.pyrnclass Test(models.Model):rn name = models.CharField(max_length=20)rnrn我执行命令: python manage.py syncdbrn报错:rnUnknown command: 'syncdb'rnType 'manage.py help' for usage.rnrn我怀疑跟教程目录不一样,把TestModel mv 到HelloWorld里:rnmv TestModel/ HelloWorld/rnrn重新执行: python manage.py syncdbrn报错:rn[root@VM_9_170_centos HelloWorld]# python manage.py syncdbrnTraceback (most recent call last):rn File "manage.py", line 9, in rn execute_from_command_line(sys.argv)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/core/management/__init__.py", line 353, in execute_from_command_linern utility.execute()rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/core/management/__init__.py", line 327, in executern django.setup()rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/__init__.py", line 18, in setuprn apps.populate(settings.INSTALLED_APPS)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/apps/registry.py", line 85, in populatern app_config = AppConfig.create(entry)rn File "/usr/lib/python2.7/site-packages/Django-1.9.1-py2.7.egg/django/apps/config.py", line 90, in creatern module = import_module(entry)rn File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_modulern __import__(name)rnImportError: No module named TestModelrnrn网上看了很多,基本都是版本问题,但是我这里INSTALLED_APPS应该没错。求助高手解答。rn
No module named ***
初学。rn Eclipse + PyDev 环境下,对一个项目debug、运行时,rn报了N多个 “No module named ***”。。。rnrn我自己创建一个hello world 的程序是可以调试、运行的,但多个*.py 在一起时,就出错。rnrn这些 modules 如何加载进来? 不能一个一个加载吧,我这有几十个 modules 缺失。。。rnrn请指点一下,谢谢。 分数不多,意思一下
ImportError: No module named 'config' 怎么解决?
[img=https://img-bbs.csdn.net/upload/201602/26/1456468578_162420.jpg][/img]rnrnImportError: No module named 'config' 怎么解决?
java调用python文件报错ImportError: No module named urllib
python代码rnrn# -*- coding: utf-8 -*-rnimport urllibrnprint "sdf"rnrnjava代码rnrnimport org.python.util.PythonInterpreter; rnimport org.python.core.*; rnrnrnpublic class cs rnrn public static void main(String[] args) rn // TODO Auto-generated method stubrn PythonInterpreter interp = new PythonInterpreter();rn interp.execfile("D:\\lm.py");rn rn rnrnrn实在不知道为什么各位大哥大姐帮帮忙吧!!
我运行python文件的时候提示ImportError: No module named 'requests'
ImportError: No module named 'requests'rnrn没有requests模块...怎么解决?去哪里下载?
ImportError: No module named request,我是Python 2.7.3
import urllib.request提示rnImportError: No module named request,我是Python 2.7.3 rnfrom urllib import request,提示ImportError: cannot import name requestrnrn怎么回事
python出现错误:“No module named”
https://jingyan.baidu.com/article/6dad50755b91dea122e36e10.html
python导入模块出现ImportError: No module named '...'问题解决方法总结
问题描述:在导入自己写的模块的时候,有时候会出现问题:ImportError: No module named 'xxx',前人已经总结的方法如下:(1) 使用sys.path.append来添加路径, 具体如下:import syssys.path.append("/path/your/code")(2)使用PYTHONPATH环境变量(3)将py文件放到site-packages目录下(4)使...
java调python,报错ImportError: No module named cx_Oracle
通过java调python,报错:rnException in thread "main" Traceback (most recent call last):rn File "Test.py", line 23, in rn import cx_OraclernImportError: No module named cx_Oraclern---------------------------------------------------------rnrn我已经安装了cx_Oracle,而且python脚本在python中可以正常运行,java调时就报错。rnrnjava:调用代码:rnPythonInterpreter interpreter = new PythonInterpreter(); rn interpreter.execfile("Test.py");rn //interpreter.execfile("/home/itvsoap/Test.py");rn PyFunction func = (PyFunction)interpreter.get("deal",PyFunction.class); rn PyObject pyobj = func.__call__();rn System.out.println(pyobj.toString());rnrnpython脚本:rnimport cx_Oraclerndef deal(self=None):rn try:rn conn= cx_Oracle.connect('pin1','pin1','10.163.201.241:1521/brm')rn cur = conn.cursor()rn o_rs=cur.var(cx_Oracle.CURSOR)rn cur.callproc('p_diy_test_qr',[o_rs])rn for rs in o_rs.getvalue():rn print rs[0],rs[1]rn except Exception ,e:rn print u'\u6570\u636e\u5e93\u5f02\u5e38:',str(e)rn finally: rn if cur: rn cur.close()rnrnif __name__ == "__main__":rn deal()
linux下No module named virtkey
linux下最近要用到模拟键盘操作,网上找了很多方法找到了virtkey,但是在运行的时候提示No module named virtkey,众神给点帮助吧,谢谢,困扰我好久了rnrn命令执行情况如下:rn[root@bigdata1 xxxx]# python test.pyrnTraceback (most recent call last):rn File "test.py", line 3, in rn import virtkeyrnImportError: No module named virtkey
No module named torch
1.从github上下载了ganomaly,准备看下效果,但在运行run_mnist.sh 命令时报错,具体报错信息如下:rn![图片说明](https://img-ask.csdn.net/upload/201906/03/1559565938_754898.png)rnrnrnrnrnrn2.运行.sh文件报错之后验证了pytorch,torch,torchvision,没有问题。rnrn3.之后也单独重新安装了torch,但是还是报同样的错误。
no module named basehttpserver
我的Python版本是3.4,在运行standalone.py的时候,遇上这样的错误:rnno module named basehttpserverrn自己也查看了当前目录下的文件,确实没有basehttpServer。请问如何获取BaseHTTPServer,是不是需要下载什么?rnrn错误代码:rnTraceback (most recent call last):rn File "D:\Program Files\app\pywebsocket\pywebsocket-master\mod_pywebsocket\standalone.py", line 159, in rn from BaseHTTPServer import BaseHTTPRequestHandlerrnImportError: No module named 'BaseHTTPServer'rnrn目录文件截图:rn[img=https://img-bbs.csdn.net/upload/201611/26/1480164708_47958.png][/img]
No module named helloworld
怎么解决 ,
No module named cElementTree
各位大虾,虾米初学linux,请问下面是什么问题,我是在ubuntu8.04上面运行yum命令出现的问题:rnrnrnThere was a problem importing one of the Python modulesrnrequired to run yum. The error leading to this problem was:rnrn No module named cElementTreernrnPlease install a package which provides this module, orrnverify that the module is installed correctly.rnrnIt's possible that the above module doesn't match therncurrent version of Python, which is:rn2.5.2 (r252:60911, Apr 21 2008, 11:12:42)rn[GCC 4.2.3 (Ubuntu 4.2.3-2ubuntu7)]rnrnIf you cannot solve this problem yourself, please send thisrnmessage to .
相关热词 c# 去空格去转义符 c#用户登录窗体代码 c# 流 c# linux 可视化 c# mvc 返回图片 c# 像素空间 c# 日期 最后一天 c#字典序排序 c# 截屏取色 c#中的哪些属于托管机制